"""
Freedom configuration module

This module contains the default values, and is initialized on startup with the
values from the command line.

@copyright: 2011 Nir Soffer <nirsof@gmail.com>, Erez Waisbard <waisbard@gmail.com>
@license: GNU GPL, see COPYING for details.
"""

## Common options

# Enable debug logging and other debugging aids. Not for production.
debug = False

# Enable event logging mode, when running client and server on same mahine,
# logging events to event_log file.
event_log = None


## Server options

# When creating multipart reply, encode page text using quoted-printable
# encoding. This creates smaller payload and mostly readable when using latin
# scripts. When using non latin scripts this creates mostly readable payload,
# in similar size to base64, assuming that major part of the payload is markup.
quoted_printable = True


## Client options

# Server to connct to when running in event logging mode
event_server = None

# URL to fetch when running in event logging mode.
event_url = None

# Number of requests to perform in event logging mode.
event_requests = 100

