""" Freedom event logging

This log is shared by the server and client when runnng with the --event-log
option.

@copyright: 2011 Nir Soffer <nirsof@gmail.com>, Erez Waisbard <waisbard@gmail.com>
@license: GNU GPL, see COPYING for details.
"""

_file = None

def init(filename):
    global _file
    assert _file is None
    _file = open(filename, 'ab', 0) # Unbuffered

def start(event, timestamp):
    if _file:
        # Starts json list of event pairs
        data = '[["%s", %f]' % (event, timestamp)
        _file.write(data)

def log(event, timestamp):
    if _file:
        # Add an event pair
        data = ', ["%s", %f]' % (event, timestamp)
        _file.write(data)

def end(event, timestamp):
    if _file:
        # End currnet evevnts list
        data = ', ["%s", %f]]\n' % (event, timestamp)
        _file.write(data)

def shutdown():
    global _file
    if _file:
        _file.close()
        _file = None

